summaryrefslogtreecommitdiffstats
path: root/source/xap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-03-22 20:16:55 +0000
committer Eric Hameleers <alien@slackware.com>2024-03-22 21:30:31 +0100
commite55090794aee9c31d337a44fc4df7df7cd5e344f (patch)
treed2d3c8e7171bd1d8312e1a52410bfa7585cd9663 /source/xap
parentce7f2d7967aa2aeed236fffa905c01a2f898d0d3 (diff)
downloadcurrent-e55090794aee9c31d337a44fc4df7df7cd5e344f.tar.gz
current-e55090794aee9c31d337a44fc4df7df7cd5e344f.tar.xz
Fri Mar 22 20:16:55 UTC 202420240322201655
a/volume_key-0.3.12-x86_64-7.txz: Rebuilt. Build python3 bindings. l/atkmm2-2.36.3-x86_64-1.txz: Added. l/boost-1.84.0-x86_64-2.txz: Rebuilt. Drop python2 support. l/glibmm-2.66.7-x86_64-1.txz: Upgraded. l/gst-plugins-bad-free-1.24.1-x86_64-1.txz: Upgraded. l/gst-plugins-base-1.24.1-x86_64-1.txz: Upgraded. l/gst-plugins-good-1.24.1-x86_64-1.txz: Upgraded. l/gst-plugins-libav-1.24.1-x86_64-1.txz: Upgraded. l/gstreamer-1.24.1-x86_64-1.txz: Upgraded. l/gtkmm4-4.14.0-x86_64-1.txz: Upgraded. l/unicode-ucd-15.1.0-noarch-1.txz: Added. 153MB installed... oh well. Needed by gucharmap. xap/gucharmap-15.1.3-x86_64-1.txz: Upgraded. xap/x3270-4.3ga7-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/xap')
-rwxr-xr-xsource/xap/gucharmap/gucharmap.SlackBuild42
-rw-r--r--source/xap/gucharmap/gucharmap.url1
-rw-r--r--source/xap/gucharmap/slack-desc2
3 files changed, 26 insertions, 19 deletions
diff --git a/source/xap/gucharmap/gucharmap.SlackBuild b/source/xap/gucharmap/gucharmap.SlackBuild
index f77ff3bb3..b1755008c 100755
--- a/source/xap/gucharmap/gucharmap.SlackBuild
+++ b/source/xap/gucharmap/gucharmap.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013, 2017, 2018, 2020, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gucharmap
-VERSION=${VERSION:-$(echo gucharmap-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo gucharmap-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,7 +67,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf gucharmap-$VERSION
-tar xvf $CWD/gucharmap-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/gucharmap-$VERSION.tar.?z || exit 1
cd gucharmap-$VERSION || exit 1
chown -R root:root .
find . \
@@ -76,22 +76,28 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+unshare -n meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
- --localstatedir=/var/lib \
- --docdir=/usr/doc/gucharmap-$VERSION \
- --enable-static=no \
- --with-unicode-data=download \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --localstatedir=/var \
+ --buildtype=release \
+ -Ducd_path=/usr/share/unicode \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# We don't want the gconf stuff
rm -rf $PKG/etc
diff --git a/source/xap/gucharmap/gucharmap.url b/source/xap/gucharmap/gucharmap.url
new file mode 100644
index 000000000..30458a768
--- /dev/null
+++ b/source/xap/gucharmap/gucharmap.url
@@ -0,0 +1 @@
+https://gitlab.gnome.org/GNOME/gucharmap
diff --git a/source/xap/gucharmap/slack-desc b/source/xap/gucharmap/slack-desc
index 83ba3e56d..ac59f1afa 100644
--- a/source/xap/gucharmap/slack-desc
+++ b/source/xap/gucharmap/slack-desc
@@ -10,7 +10,7 @@ gucharmap: gucharmap (character map utility)
gucharmap:
gucharmap: gucharmap is a Unicode character map and font viewer.
gucharmap:
-gucharmap:
+gucharmap: Homepage: https://gitlab.gnome.org/GNOME/gucharmap
gucharmap:
gucharmap:
gucharmap: